journal_get_write_access
Prev | Transasction Level | Next

## Name

journal_get_write_access — notify intent to modify a buffer for metadata (not data) update.

## Synopsis

`int journal_get_write_access (` | handle_t * | handle,
| struct buffer_head * | bh`)`;

## Arguments

`handle`

  transaction to add buffer modifications to

`bh`

  bh to be used for metadata writes

## Description

Returns an error code or 0 on success.

In full data journalling mode the buffer may be of type BJ_AsyncData, because we're `write`ing a buffer which is also part of a shared mapping.

Prev | Up | Next
journal_unlock_updates | Home | journal_get_create_access